{
  "version": "0.2.0",
  "configurations": [
    {
      "name": "Start myfirstproject",
      "type": "node",
      "request": "launch",
      "runtimeExecutable": "npm",
      "cwd": "${workspaceFolder}/myfirstproject",
      "windows": {
        "runtimeExecutable": "npm.cmd"
      },
      "runtimeArgs": [
        "run-script",
        "start"
      ],
      "console": "integratedTerminal",
      "internalConsoleOptions": "neverOpen",
      "port": 9229,
      "env": {
        "DEBUG": "--inspect",
        "run.config": "{\"handlerId\":\"fiori_tools\",\"runnableId\":\"/home/user/projects/myfirstproject\"}"
      }
    },
    {
      "name": "Start myfirstproject Mock",
      "type": "node",
      "request": "launch",
      "cwd": "${workspaceFolder}/myfirstproject",
      "runtimeExecutable": "npm",
      "windows": {
        "runtimeExecutable": "npm.cmd"
      },
      "runtimeArgs": [
        "run-script",
        "start-mock"
      ],
      "console": "integratedTerminal",
      "internalConsoleOptions": "neverOpen",
      "port": 9229,
      "env": {
        "run.config": "{\"handlerId\":\"fiori_tools\",\"runnableId\":\"/home/user/projects/myfirstproject\"}"
      }
    },
    {
      "name": "Start myfirstproject Local",
      "type": "node",
      "request": "launch",
      "cwd": "${workspaceFolder}/myfirstproject",
      "runtimeExecutable": "npm",
      "windows": {
        "runtimeExecutable": "npm.cmd"
      },
      "runtimeArgs": [
        "run-script",
        "start-local"
      ],
      "console": "integratedTerminal",
      "internalConsoleOptions": "neverOpen",
      "port": 9229,
      "env": {
        "run.config": "{\"handlerId\":\"fiori_tools\",\"runnableId\":\"/home/user/projects/myfirstproject\"}"
      }
    }
  ],
  "inputs": [
    {
      "id": "UI5Version",
      "type": "command",
      "command": "sap.ux.appGenerator.ui5Version"
    }
  ]
}